<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__ndcsc__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_ndcsc_config_t</compoundname>
    <includes local="no">cy_ble_ndcs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__ndcsc__config__t_1a08c02a3e489810bd5fe890c472f326ba" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__ndcsc__t">cy_stc_ble_ndcsc_t</ref> *</type>
        <definition>cy_stc_ble_ndcsc_t* cy_stc_ble_ndcsc_config_t::attrInfo</definition>
        <argsstring />
        <name>attrInfo</name>
        <briefdescription>
<para>Structure with Discovered Attributes Information. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ndcs.h" bodystart="79" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ndcs.h" line="79" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ndcsc__config__t_1a10a3ead0a1905e8041f928d79f68a2bf" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_ndcsc_config_t::serviceDiscIdx</definition>
        <argsstring />
        <name>serviceDiscIdx</name>
        <briefdescription>
<para>The Discovery Service index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ndcs.h" bodystart="82" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ndcs.h" line="82" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service Configuration structure (client) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1050">
        <label>cy_stc_ble_srvr_char_info_t</label>
        <link refid="structcy__stc__ble__srvr__char__info__t" />
      </node>
      <node id="1048">
        <label>cy_stc_ble_ndcsc_config_t</label>
        <link refid="structcy__stc__ble__ndcsc__config__t" />
        <childnode refid="1049" relation="usage">
          <edgelabel>attrInfo</edgelabel>
        </childnode>
      </node>
      <node id="1049">
        <label>cy_stc_ble_ndcsc_t</label>
        <link refid="structcy__stc__ble__ndcsc__t" />
        <childnode refid="1050" relation="usage">
          <edgelabel>charInfo</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="84" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ndcs.h" bodystart="76" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ndcs.h" line="77" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__ndcsc__config__t_1a08c02a3e489810bd5fe890c472f326ba" virt="non-virtual"><scope>cy_stc_ble_ndcsc_config_t</scope><name>attrInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__ndcsc__config__t_1a10a3ead0a1905e8041f928d79f68a2bf" virt="non-virtual"><scope>cy_stc_ble_ndcsc_config_t</scope><name>serviceDiscIdx</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>